%global repo dde-session-ui
%global __provides_exclude_from ^%{_libdir}/dde-.*\\.so$

Name:           deepin-session-ui
Version:        6.0.26
Release:        %autorelease
Summary:        Deepin desktop-environment - Session UI module
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-session-ui
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  qt6-linguist

BuildRequires:  cmake(Dtk6Core)
BuildRequires:  cmake(Dtk6Widget)
BuildRequires:  cmake(Dtk6Tools)
BuildRequires:  cmake(Dtk6Widget)
BuildRequires:  cmake(Dtk6Gui)

BuildRequires:  pkgconfig(gsettings-qt)
#BuildRequires:  pkgconfig(dde-dock)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(libdeepin_pw_check)
BuildRequires:  libxcrypt-devel
BuildRequires:  libXext-devel

BuildRequires:  cmake(GTest)
BuildRequires:  gmock-devel

Requires:       deepin-daemon
Requires:       deepin-session-shell
Requires:       startdde

Provides:       deepin-notifications = %{version}-%{release}
Obsoletes:      deepin-notifications <= 3.3.4

%description
This project include those sub-project:

- dde-shutdown: User interface of shutdown.
- dde-lock: User interface of lock screen.
- dde-lockservice: The back-end service of locking screen.
- lightdm-deepin-greeter: The user interface when you login in.
- dde-switchtogreeter: The tools to switch the user to login in.
- dde-lowpower: The user interface of reminding low power.
- dde-osd: User interface of on-screen display.
- dde-hotzone: User interface of setting hot zone.

%prep
%autosetup -p1 -n %{repo}-%{version}

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install
%find_lang dde-session-ui --with-qt --all-name
rm %{buildroot}%{_datadir}/dde-session-ui/translations/dde-session-ui.qm

%check
%ctest

%files -f dde-session-ui.lang
%doc README.md
%license LICENSE
%{_bindir}/dde-*
%{_prefix}/lib/dde-control-center/reset-password-dialog
%dir %{_prefix}/lib/deepin-daemon/
%{_prefix}/lib/deepin-daemon/dde-*
%{_prefix}/lib/deepin-daemon/dnetwork-secret-dialog
%{_userunitdir}/dde-blackwidget.service
%{_datadir}/icons/hicolor/scalable/devices/computer.svg
%{_datadir}/dbus-1/services/*.service

%changelog
%autochangelog
